## mono 2.10.5

=== debian/changelog ===
mono (2.10.5-1ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: cross-site scripting vulnerability
    - debian/patches/CVE-2012-3382.patch: properly escape error message in
      mcs/class/System.Web/System.Web/HttpForbiddenHandler.cs.
    - CVE-2012-3382

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Jul 2012 13:32:47 -0400

mono (2.10.5-1) experimental; urgency=low

  * [854fa78] Imported Upstream version 2.10.5

 -- Mirco Bauer <meebey@debian.org>  Thu, 25 Aug 2011 22:26:08 +0200
