=== debian/control ===
Source: mono
Section: cli-mono
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7),
	dpkg-dev (>= 1.13.19),
	bison,
	libtool,
	libxml-dom-perl,
	libxslt1-dev,
	dc,
	lsb-release,
	libx11-dev,
	libxt-dev,
	zlib1g-dev,
	autoconf,
	automake
Standards-Version: 3.8.4
Homepage: http://www.mono-project.com/
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/mono.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono.git

Package: mono-runtime
Provides: cli-runtime, cli-virtual-machine
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Replaces: mono-common (<< 2.4), mono-jit (<< 2.4), libmono0 (<< 2.4)
Conflicts: mono-common (<< 2.4),
           mono-jit (<< 2.4),
           mono-1.0-runtime (<< 2.4),
           mono-2.0-runtime (<< 2.4)
Suggests: xdg-utils | libgnome2-0 | konqueror
Recommends: binfmt-support (>= 1.1.2)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mono-gac (= ${source:Version})
Description: Mono runtime
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Virtual Machine, JIT (Just-in-Time) and
 AOT (Ahead-of-Time) code generator "mono".
 "mono" executes applications for the CLI (Common Language Infrastructure).
 Mono currently only supports the X86, PowerPC, ARM, SPARC, S/390, AMD64 and
 IA64 architectures. Optionally this package configures BINFMT support.

Package: mono-runtime-sgen
Architecture: amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 s390x
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mono-runtime (= ${binary:Version})
Homepage: http://www.mono-project.com/Compacting_GC
Description: Mono runtime - SGen (experimental)
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Virtual Machine, JIT (Just-in-Time) and
 AOT (Ahead-of-Time) code generator "mono-sgen".
 mono-sgen executes applications for the CLI (Common Language Infrastructure).
 Mono currently only supports the X86, PowerPC, ARM, SPARC, S/390, AMD64 and
 IA64 architectures.
 .
 This package uses SGen which is Mono's new simple generational garbage
 collector instead of Boehm's conservative garbage collector. SGen is
 currently only for testing and thus should not be used in production.

Package: mono-runtime-dbg
Priority: extra
Section: debug
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Replaces: mono-jit-dbg (<< 2.4)
Conflicts: mono-jit-dbg (<< 2.4)
Depends: ${misc:Depends}, mono-runtime (= ${binary:Version})
Recommends: gdb
Description: Mono runtime, debugging symbols
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the debugging symbols of the Mono JIT/AOT compiler.

Package: mono-utils
Provides: cil-disassembler
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Replaces: mono-mcs (<= 1.1.6-4)
Depends: ${shlibs:Depends}, ${misc:Depends}, libmono-2.0-1 (= ${binary:Version}),
 libmono-corlib4.0-cil (= ${source:Version}) | libmono-corlib2.0-cil (= ${source:Version})
Description: Mono utilities
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package includes various tools useful for CLI developers, like
 pedump, monodis and monograph.

Package: mono-complete
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Depends: ${misc:Depends},
         mono-runtime (= ${binary:Version}),
         mono-runtime-sgen (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 s390x],
         libmono-2.0-1 (= ${binary:Version}),
         libmono-profiler (= ${binary:Version}),
         mono-utils (= ${binary:Version}),
         mono-jay (= ${binary:Version}),
         mono-devel (= ${source:Version}),
         mono-mcs (= ${source:Version}),
         mono-gmcs (= ${source:Version}),
         mono-dmcs (= ${source:Version}),
         mono-csharp-shell (= ${source:Version}),
         mono-2.0-gac (= ${source:Version}),
         mono-4.0-gac (= ${source:Version}),
         mono-2.0-service (= ${source:Version}),
         mono-4.0-service (= ${source:Version}),
         mono-devel (= ${source:Version}),
         monodoc-base (= ${source:Version}),
         monodoc-manual (= ${source:Version}),
         libmono-cil-dev (= ${source:Version})
Description: complete Mono runtime, development tools and all libraries
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This is a metapackage and pulls in the Mono runtime, development tools and
 all libraries.
 .
 Install this package if you want to run software for Mono or Microsoft .NET
 which you are not installing from a Debian package.
 .
 For packagers: This package is not to be used as dependency for packages!
 You should build-depend on cli-common-dev and the needed libraries instead.

Package: libmono-2.0-1
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Replaces: libmono-dev (<= 1.1.6-4)
Conflicts: mono-utils (<< 1.2.3.1-4)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mono JIT library
 Shared library for Mono, used for embedding/hosting of the JIT.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-2.0-1-dbg
Priority: extra
Section: debug
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Depends: ${misc:Depends}, libmono-2.0-1 (= ${binary:Version})
Recommends: gdb
Description: Mono JIT library, debugging symbols
 This package contains the debugging symbols of the Mono JIT library.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-2.0-dev
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Depends: ${misc:Depends}, libmono-2.0-1 (= ${binary:Version})
Description: Mono JIT library - Development files
 Header files and static libraries for libmono-2.0.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-profiler
Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
Replaces: mono-runtime (<< 2.4.2.3)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mono profiler libraries
 Profiler libraries for Mono, used for profiling applications running on Mono.
 For details how to use them, please take a look at the mono manpage.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-cil-dev
Architecture: all
Replaces: libmono-nunit2.2-cil (<< 2.4.3),
          libmono-nunit2.4-cil (<< 2.4.3),
          libmono-cairo2.0-cil (<< 2.4.3),
          libmono-cecil-private-cil (<< 2.4.3),
          libmono-system-web2.0-cil (<< 2.4.3),
          libmono-wcf3.0-cil (<< 2.4.3),
          libmono2.0-cil (<< 2.4.3),
          mono-devel (<< 2.4.3),
          libmono-dev (<< 2.10~)
Breaks: libmono-dev (<< 2.10~)
Conflicts: libmono-nunit2.2-cil,
           libmono-nunit2.4-cil
Depends: ${misc:Depends},
         libmono2.0-cil (= ${source:Version}),
         libmono-accessibility2.0-cil (= ${source:Version}),
         libmono-accessibility4.0-cil (= ${source:Version}),
         libmono-c5-1.1-cil (= ${source:Version}),
         libmono-cairo2.0-cil (= ${source:Version}),
         libmono-cairo4.0-cil (= ${source:Version}),
         libmono-cecil-private-cil (= ${source:Version}),
         libmono-codecontracts4.0-cil (= ${source:Version}),
         libmono-compilerservices-symbolwriter4.0-cil (= ${source:Version}),
         libmono-corlib2.0-cil (= ${source:Version}),
         libmono-corlib4.0-cil (= ${source:Version}),
         libmono-cscompmgd8.0-cil (= ${source:Version}),
         libmono-csharp4.0-cil (= ${source:Version}),
         libmono-custommarshalers4.0-cil (= ${source:Version}),
         libmono-data-tds2.0-cil (= ${source:Version}),
         libmono-data-tds4.0-cil (= ${source:Version}),
         libmono-db2-1.0-cil (= ${source:Version}),
         libmono-debugger-soft2.0-cil (= ${source:Version}),
         libmono-debugger-soft4.0-cil (= ${source:Version}),
         libmono-http4.0-cil (= ${source:Version}),
         libmono-i18n2.0-cil (= ${source:Version}),
         libmono-i18n4.0-all (= ${source:Version}),
         libmono-i18n-west2.0-cil (= ${source:Version}),
         libmono-ldap2.0-cil (= ${source:Version}),
         libmono-ldap4.0-cil (= ${source:Version}),
         libmono-management2.0-cil (= ${source:Version}),
         libmono-management4.0-cil (= ${source:Version}),
         libmono-messaging2.0-cil (= ${source:Version}),
         libmono-messaging4.0-cil (= ${source:Version}),
         libmono-messaging-rabbitmq2.0-cil (= ${source:Version}),
         libmono-messaging-rabbitmq4.0-cil (= ${source:Version}),
         libmono-microsoft8.0-cil (= ${source:Version}),
         libmono-microsoft-build2.0-cil (= ${source:Version}),
         libmono-microsoft-build-engine4.0-cil (= ${source:Version}),
         libmono-microsoft-build-framework4.0-cil (= ${source:Version}),
         libmono-microsoft-build-tasks-v4.0-4.0-cil (= ${source:Version}),
         libmono-microsoft-build-utilities-v4.0-4.0-cil (= ${source:Version}),
